class DebrisParticle {
	constructor(game, texture, sx, sy, x, y, r, vx, vy, vr){
		this.game = game;
		
		// Rendering
		this.layer = "background";
		this.texture = texture;
		
		// Scale
		this.scale = 1.25;
		
		// Physics
		this.x = x;
		this.y = y;
		this.r = r;
		this.vx = vx + (Math.random() * 2 - 1) * game.loop.delta * 2;
		this.vy = vy + (Math.random() * 2 - 1) * game.loop.delta * 2;
		this.vr = vr;
		
		this.sx = sx;
		this.sy = sy;
		
		// Debris Particle
		this.maxLife = 3 * Math.random();
		this.life = this.maxLife;
	}
	
	
	update(delta){
		// Physics
		this.x += this.vx * delta * 60;
		this.y += this.vy * delta * 60;
		this.r += this.vr * delta * 60;
		
		return this.life -= delta;
	}
	
	
	draw(context, textures, atlas){
		this.size = this.life/this.maxLife * this.scale;
		context.drawImage(this.texture, this.sx, this.sy, 1, 1, this.x - this.size/2, this.y - this.size/2 - 1, this.size, this.size);
	}
}
